Request class for the TransactGetItems operation. Read up to 10 items from one or more tables in a transaction.

### Hierarchy

- TransactGetRequest

## Index

### Constructors

- constructor

### Properties

- params

### Methods

- exec
- execFullResponse
- execNoMap
- forModel
- returnConsumedCapacity

## Constructors

### constructor

- new TransactGetRequest(): TransactGetRequest

- - Defined in dynamo/transactget/transact-get.request.ts:24

  #### Returns TransactGetRequest

## Properties

### params

params: TransactGetItemsInput

- Defined in dynamo/transactget/transact-get.request.ts:22

## Methods

### exec

- exec(): Promise<any[]>

- - Defined in dynamo/transactget/transact-get.request.ts:90

  execute request and return the parsed items.

  #### Returns Promise<any[]>

### execFullResponse

- execFullResponse(): Promise<TransactGetFullResponse<any[]>>

- - Defined in dynamo/transactget/transact-get.request.ts:82

  execute request and return full response with the mapped js objects.

  #### Returns Promise<TransactGetFullResponse<any[]>>

### execNoMap

- execNoMap(): Promise<TransactGetItemsOutput>

- - Defined in dynamo/transactget/transact-get.request.ts:75

  execute request and return the raw response (without parsing the attributes to js objects)

  #### Returns Promise<TransactGetItemsOutput>

### forModel

- forModel<T>(modelClazz: ModelConstructor<T>, key: Partial<T>): TransactGetRequest1<T>

- - Defined in dynamo/transactget/transact-get.request.ts:38

  read item of model by key

  #### Type parameters

  - #### T

  #### Parameters

  - ##### modelClazz: ModelConstructor<T>

    the corresponding ModelConstructor

  - ##### key: Partial<T>

    partial of T that contains PartitionKey and SortKey (if necessary). Throws if missing.

  #### Returns TransactGetRequest1<T>

### returnConsumedCapacity

- returnConsumedCapacity(level: DynamoDB.ReturnConsumedCapacity): TransactGetRequest

- - Defined in dynamo/transactget/transact-get.request.ts:67

  return ConsumedCapacity of the corresponding tables in the response

  #### Parameters

  - ##### level: DynamoDB.ReturnConsumedCapacity

  #### Returns TransactGetRequest